Subject: Re: [PATCH v2] Create add_rtc() function to enable the RTC CMOS driver

From: Wade Farnsworth <[email-masked]>
Date: Wed, 20 Jun 2007 09:21:13 -0700

On Wed, 2007-06-20 at 12:06 +0200, Segher Boessenkool wrote:
> > This creates a function to register the platform device based on the 
> > RTC
> > device node and verifies that the RTC port against the hard-coded value
> > in asm/mc146818rtc.h.  It also sets the RTC to 24-hr mode as 12-hr mode
> > is not currently supported by the driver.
> 
> The 24h thing should be set in the driver itself.  Does the
> driver handle binary vs. decimal mode btw?  If not, you'll
> want to do the analogue thing for that.
> 

OK, I'll look into putting the 24h fix into the driver.

It looks like binary mode is also not supported, so I'll add a fix for
that as well.

Thanks,

--Wade